%define name bestgui
%define version 1.2.1
%define release %mkrel 2

Summary:        BESTGUI is a Graphical User Interface
Name:	        %{name}
Version:        %{version}
Release:        %{release}
Source:	        %{name}-%{version}.tar.xz
URL:	        http://bestgui.sourceforge.net
Group:	        Science/Other
License:        GPL v2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:      noarch
BuildRequires:	python python-devel desktop-file-utils
Requires:       pygtksourceview
Requires:       pygtk2.0
Requires:       pygtk2.0-libglade
Requires:       python-gobject
Requires:	python >= 2.6

%description
Description: A GUI front-end for BEST written in Python and GTK+
BEST (Basic Envisat SAR Toolbox) is a collection of executable software
tools that has been designed to facilitate the use of ESA (the European
Space Agency) SAR data. It operates according to user-generated
parameters files.

BESTGUI allows you to easily generate the parameters files for the BEST
tools and launch the processing from the GUI. It provides:

    - enhanced menus and toolbars
    - persistent preferences
    - smart environment handling
    - colorized output log
    - progress bars for processing completion
    - the ability of stopping a running task from the GUI (stop button)
    - a dialog for the AoI specification
    - output preview for all (and not only) the tools that have an image as
      output

%prep
%setup -q -n %{name}-%{version}

%build

python setup.py build


%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=BESTGUI
GenericName=BESTGUI
Comment=A GUI front-end for BEST written in Python and GTK+
Type=Application
Exec=bestgui
Icon=bestguilogo
Terminal=false
Categories=Utility;X-MandrivaLinux-Other-Education;Sciences;
Version=1.0
Encoding=UTF-8
EOF
 
%post
%{update_menus}

%postun
%{clean_menus}


%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc %{_datadir}/doc/%{name}
%{_bindir}/%{name}
%{_datadir}/%{name}
%{py_sitedir}/%{name}
%{py_sitedir}/*.egg-info
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/*.xpm
%{_mandir}/man1/*.1.bz2


%changelog
* Sat Sep 11 2010 Texstar <texstar at gmail.com> 1.2.1-2pclos2010
- Update

* Thu Apr 16 2009 slick50 <lxgator@gmail.com> 1.2.1-1pclos2007
- initial pkg
